#!/usr/bin/python2.7
# -*- coding: utf-8 -*-

import os, shutil, sys

if len (sys.argv) < 2 or len (sys.argv) > 3:
    sys.exit (1)

rootFmasDir = '/srv/FMAS'
rootProgramsDir  = os.path.join (rootFmasDir, 'programas')

programName = sys.argv [1]

if len (sys.argv) == 3:
    mmName = sys.argv [2]

def copyProgram (finalPath):

    if not os.path.exists (os.path.join (finalPath, programName)):
        os.makedirs (os.path.join (finalPath, programName))

    try:
        shutil.move ('/uploadTmp/db', os.path.join(os.path.join (finalPath, programName), programName + '.db'))
        if len (sys.argv) == 3:
            shutil.move ('/uploadTmp/mm', os.path.join(os.path.join (finalPath, programName), mmName))
        return 1
    except OSError:
        shutil.rmtree (os.path.join (os.path.join (usbPath, 'exports'), programName))
        shutil.copytree (os.path.join (rootProgramsDir, programName), os.path.join (os.path.join (usbPath, 'exports'), programName))
        return 0

if copyProgram (os.path.join(rootFmasDir, 'programas')):
    print '1'
else:
    print '0'
