#!/usr/bin/python2.7

import subprocess
import time
import datetime
import glob, os

def powerConnected ():
	file = open('/sys/class/power_supply/ac/present', 'r')
	toRet = file.read ().strip ()
	file.close ()
	return toRet

def timeToClean ():
	return int (time.time ()) % 600 == 0

def cleanLogs ():
	files = ['/var/log/syslog*', '/var/log/kern.log*', '/var/log/debug.log*', '/var/log/alternatives*', '/var/log/messages*', '/var/log/slim*', '/var/log/dpkg*', '/var/log/aptitude*', '/var/log/daemon*', '/var/log/Xorg*', '/var/log/dmesg*']
	print 'Cleaning...'
	for f in files:
		for g in glob.glob (f):
			try:
				os.remove (g)
				print 'deleting -> "' + g + '"'
			except Exception as e:
				print e

def timeToRestart ():
	time = datetime.datetime.now ()
	print time
	timeToRestart1 = time.replace (hour=3, minute=0, second=0)
	timeToRestart2 = time.replace (hour=3, minute=0, second=3)
	
	if (time >= timeToRestart1 and time <= timeToRestart2):
		return 1
		
	return 0
	
def restart ():
	os.system("shutdown now -r")

def main ():
	while 1:
		if powerConnected () != '1':
			subprocess.call ('shutdown -h 0', shell = True)
			time.sleep (10)

		if (timeToClean ()):
			cleanLogs ()

		if (timeToRestart ()):
			restart ()
			exit (0)

		time.sleep (1)

main ()
